#ifndef WPLANITEM_H
#define WPLANITEM_H

#include <QPushButton>
#include <QListWidgetItem>
#include <QLabel>
#include <QTimeEdit>
#include <QJsonObject>

class wPlanItem : public QWidget {
    Q_OBJECT
public:
    explicit wPlanItem(QListWidgetItem *item, const QJsonObject * = 0);

    QJsonObject planJson() const;
    QLabel *fdIdx;

signals:
    void sigItemChanged(QListWidgetItem *);
    void sigDelete(QListWidgetItem *);

protected slots:
    void onItemChanged();
    void onDelete(bool);

private:
    QListWidgetItem *m_item;

    QTimeEdit *tStart;
    QTimeEdit *tEnd;
    QPushButton *bnDel;
    QPushButton *sMon;
    QPushButton *sTues;
    QPushButton *sWed;
    QPushButton *sThur;
    QPushButton *sFri;
    QPushButton *sSat;
    QPushButton *sSun;
};

#endif // WPLANITEM_H
